      FUNCTION trapz1 (x,y,n)
      INTEGER n,j
      REAL x(n),y(n)
      trapz1=0. 
      IF (n.eq.1) THEN
         trapz1=y(1)*x(1)/2. 
      ELSE
         DO j=2,n
            trapz1=trapz1+ABS(x(j)-x(j-1))*(y(j)+y(j-1))/2. 
         END DO
      END IF
      RETURN
      END
